/home/travis/build/boostorg/boost/boost/geometry/algorithms/validity_failure_type.hpp File Reference

## Namespaces

namespace | boost
namespace | boost::geometry

## Enumerations

enum

boost::geometry::validity_failure_type {
boost::geometry::no_failure = 0, boost::geometry::failure_few_points = 10, boost::geometry::failure_wrong_topological_dimension = 11, boost::geometry::failure_spikes = 12,
boost::geometry::failure_duplicate_points = 13, boost::geometry::failure_not_closed = 20, boost::geometry::failure_self_intersections = 21, boost::geometry::failure_wrong_orientation = 22,
boost::geometry::failure_interior_rings_outside = 30, boost::geometry::failure_nested_interior_rings = 31, boost::geometry::failure_disconnected_interior = 32, boost::geometry::failure_intersecting_interiors = 40,
boost::geometry::failure_wrong_corner_order = 50, boost::geometry::failure_invalid_coordinate = 60
}

| Enumerates the possible validity failure types for a geometry. More...

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK